curl -X POST "https://api.nevatal.com/api/v1/billing/invoices/inv_002/approve" \
-H "Authorization: Bearer nvtl_your_api_key"
{
"id": "inv_002",
"invoiceNumber": "FV-2025-0043",
"status": "approved",
"approvedAt": "2025-03-16T10:00:00Z"
}
{
"statusCode": 422,
"error": "Unprocessable Entity",
"message": "Invoice is not in draft status"
}
Billing
Approve Invoice
Approve a draft invoice for payment
POST
/
api
/
v1
/
billing
/
invoices
/
{id}
/
approve
curl -X POST "https://api.nevatal.com/api/v1/billing/invoices/inv_002/approve" \
-H "Authorization: Bearer nvtl_your_api_key"
{
"id": "inv_002",
"invoiceNumber": "FV-2025-0043",
"status": "approved",
"approvedAt": "2025-03-16T10:00:00Z"
}
{
"statusCode": 422,
"error": "Unprocessable Entity",
"message": "Invoice is not in draft status"
}
Path Parameters
string
required
The invoice ID
Only invoices with
draft status can be approved. Approved invoices generate an official invoice number and cannot be edited — only voided via a credit note.curl -X POST "https://api.nevatal.com/api/v1/billing/invoices/inv_002/approve" \
-H "Authorization: Bearer nvtl_your_api_key"
{
"id": "inv_002",
"invoiceNumber": "FV-2025-0043",
"status": "approved",
"approvedAt": "2025-03-16T10:00:00Z"
}
{
"statusCode": 422,
"error": "Unprocessable Entity",
"message": "Invoice is not in draft status"
}

